Subject: Re: New to Herbs and Somewhat Discouraged

From: [email-masked] (Green224)
Date: 29 Aug 1995 11:04:42 -0400

I have been studying herbal medicine for about 4 years now.  Herbs can be
very useful in a number of circumstances but they differ significantly
>from  presciption drugs in that they usually need to be taken for a period
of time before they begin to benefit the person.  Most often the herb will
build and nourish the body system targeted.  Ginkgo for instance has been
used to increase blood supply to the brain, hence its common usage is for
increased mental function.  However, if the reason you feel fatigued is
>from  over-exertion ginkgo will really not be a cure-all.  Plants are best
used as part of a holistic approach which considers all the factors, such
as diet, lifestyle, etc.  There are a number of good books on the subject
of herbal preparations and their uses.  If you are interested let me know
and I will post a few.